public enum Mode {
    OFF("Heater is off", 0),
    ON("Heater is on", 100),
    DIM("Heater is dimmed", 50);

    private final String description;
    private final int powerConsumption;

    Mode(String description, int powerConsumption) {
        this.description = description;
        this.powerConsumption = powerConsumption;
    }

    public String getDescription() {
        return this.description;
    }

    public int getPowerConsumption() {
        return this.powerConsumption;
    }

    @Override
    public String toString() {
        return name() + " (" + description + ") - power: " + powerConsumption;
    }
}
